import React from "react";
import "./Home.css";
import { motion } from "framer-motion";

import URLShortener from "../../components/URLShortener/URLShortener";

function Home() {
  return (
    <motion.div
      className="home-page"
      initial={{ opacity: 0 }}
      animate={{ opacity: 1 }}
      exit={{ opacity: 0 }}
      transition={{ duration: 1.5, ease: "easeInOut" }}
    >
      <URLShortener />
    </motion.div>
  );
}

export default Home;
